<?php

	/*------------------------------------------------------------------------
	# Aixeena News (module)
	# ------------------------------------------------------------------------
	# version		4.0.0
	# author    	Top Position
	# copyright 	Copyright (c) 2018 Top Position All rights reserved.
	# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
	# Website		http://posicionamientoenbuscadoreswebseo.es/
	-------------------------------------------------------------------------
	*/
	// no direct access

	if($CSS) $document->addStyleSheet($route_assets.'/css/item-'.$params->get('horizontaldesign','plain').'.css');

	switch($params->get('horizontaldesign','plain')) {
	
		case 'lastminute':	
		case 'lastminutedark':	
				$layout = 'last-minute.php';
				break;
		case 'newspaperbox1':
				$layout = 'newspaperbox1.php';
				break;
		case 'newspaperbox2':
				$layout = 'newspaperbox2.php';
				break;			
		default:
			$layout = 'default.php';

	}


	if($js && $params->get('masonry',0)) {
		$document->addScript($route_assets.'/js/horizontal.js');
		$thescript = "	
		<script type=".'"text/javascript"'.'>
		jQuery( window ).load(function() { jQuery("#aixeena_news'.$module->id.'").masonry({
			itemSelector: ".aixeena_news_item",
			isAnimated: '.$params->get('masonry_animated','true').',
			  animationOptions: {
			  	duration: 2000,
				easing: "swing",
				queue: false
			  }
		});});		
		</script>';
		
		$thescript = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $thescript);
		$thescript = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $thescript);
		$document->addCustomTag($thescript);
	}
	
	if($js && $params->get('custom_scrollbar',1)) {
		$document->addStyleSheet($route_assets.'/custom-scrollbar-plugin/jquery.mCustomScrollbar.css');
		$document->addScript($route_assets.'/custom-scrollbar-plugin/js/jquery.mousewheel.min.js');
		$document->addScript($route_assets.'/custom-scrollbar-plugin/jquery.mCustomScrollbar.concat.min.js');
		
		if($params->get('custom_scrollbar_type',1)) $custom_scrollbar_type = 'horizontalScroll:true';
		else $custom_scrollbar_type = 'horizontalScroll:false';
		
		if($params->get('custom_scrollbar_buttons',1)) $custom_scrollbar_buttons = ', scrollButtons:{enable:true}';
		else $custom_scrollbar_buttons = '';
		
		if($params->get('custom_scrollbar_zone','box')=='box') $zone = '#axnews';
		else $zone = '#aixeena_news';		
				
		$thescript = "	
		<script type=".'"text/javascript"'.'>
		jQuery( window ).load(function() { 
				jQuery("'.$zone.$module->id.'").mCustomScrollbar({
		'.$custom_scrollbar_type.', theme:"'.$params->get('custom_scrollbar_theme','light').'"'.$custom_scrollbar_buttons.', scrollInertia:'.$params->get('custom_scrollbar_inertia','2000').', autoHideScrollbar:'.$params->get('custom_scrollbar_hide','false').'
		}); 
		
		});		
		</script>';
		
		$thescript = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $thescript);
		$thescript = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $thescript);
		$document->addCustomTag($thescript);
	}


	echo '
	<div class="aixeena_news_content aixnew-horizontal-'.$params->get('horizontaldesign','plain').' aixnew-horizontal-'.$horizontal.'"  '.$style.' id = "axnews'.$module->id.'">';
	
	if($params->get('boxtitle',0)) echo '<div class="boxtitle boxtitle-'.$params->get('horizontaldesign','plain').'"><h3>'.$params->get('boxtitle_text',$module->title).'</h3></div>';
	
	if($params->get('customhtmltext','') && $params->get('htmltext',1) &&  $params->get('htmltextwhere','out')=='inside') echo '<div class="aixeena-news-html" id="aixeena-news-html-'.$module->id.'">'.$params->get('customhtmltext','').'</div>';
		
	echo '	
		<div id="aixeena_news'.$module->id.'" class="aixeena_news">';

	$sw = 0;
	if($list) {
		foreach ($list as $item) { 
			$sw++;
			include('config.php');			
			if($params->get('show_readmore',1)) include('readmorebutton.php');	// Read more button
			include('sharebuttons.php');	// Share Buttons
			//if($params->get('show_expand',0)) include('enlargebutton.php');	// Enlarge button	
			include('default-item.php');		
		}	
	}

	echo '	<div class="aixeena-cleaner"></div>
		</div>';
	if($params->get('show_more',0)) include('morenews.php');
	echo '
		<div class="aixeena-cleaner"></div>
	</div>
';
?>